/* Table of constant values */

static int c__5 = 5;
static int c__6 = 6;

int main(void)
{
    /* Initialized data */
    static float c__[30] /* was [5][6] */ = { 36.f,-630.f,3360.f,-7560.f,
            7560.f,-630.f,14700.f,-88200.f,211680.f,-220500.f,3360.f,-88200.f,
            564480.f,-1411200.f,1.512e6f,-7560.f,211680.f,-1411200.f,
            3628800.f,-3.969e6f,7560.f,-220500.f,1.512e6f,-3.969e6f,4.41e6f,
            -2772.f,83160.f,-582120.f,1552320.f,-1746360.f };
    static double b[5] = { 53872.98,-1542941.4,10456462.8,-27223610.4,
                           30065729.4 };

    /* Local variables */
    extern int asp1d_c(double *, double *, double *, double *, int *,
                       int *, int *, int *);
    static double a[30] /* was [5][6] */;
    static int i__, j, p, s[5];
    static double t[6], x[6];

#define a_ref(a_1,a_2) a[(a_2)*5 + a_1 - 6]
#define c___ref(a_1,a_2) c__[(a_2)*5 + a_1 - 6]

    for (i__ = 1; i__ <= 5; ++i__) {
        for (j = 1; j <= 6; ++j) {
/* L20: */
            a_ref(i__, j) = c___ref(i__, j);
        }
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %16.7e %16.7e %16.7e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
         printf("\n  %16.7e %16.7e %16.7e \n",
                a_ref(i__, 4), a_ref(i__, 5), a_ref(i__, 6));
    }
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %16.7e \n", b[i__-1]);
    }

    p = 1;
    asp1d_c(a, b, x, t, s, &c__5, &c__6, &p);

    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %20.10e %20.10e %20.10e \n",
                a_ref(i__, 1), a_ref(i__, 2), a_ref(i__, 3));
         printf("\n  %20.10e %20.10e %20.10e \n",
                a_ref(i__, 4), a_ref(i__, 5), a_ref(i__, 6));
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %24.14e \n", t[i__-1]);
    }
    printf("\n  %5i %5i %5i %5i %5i \n", s[0], s[1], s[2], s[3], s[4]);
    for (i__ = 1; i__ <= 5; ++i__) {
         printf("\n  %24.14e \n", b[i__-1]);
    }
    for (i__ = 1; i__ <= 6; ++i__) {
         printf("\n  %24.14e \n", x[i__-1]);
    }
    return 0;
} /* main */

#undef c___ref
#undef a_ref
